Bug 1272418 - [abrt] blueman: connection.py:651:call_blocking:dbus.exceptions.DBusException: org.freedesktop.DBus.Error.UnknownObject: Method "GetAll" with signature "s" on interface "org.freedesktop.DBus.Properties" doesn't exist
[abrt] blueman: connection.py:651:call_blocking:dbus.exceptions.DBusException...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pete Walter
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:051b9ff66d2a4f534ba7e011f2f...
:
: 1336911 1389726 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-16 07:07 EDT by Ciaran Doherty
Modified: 2016-12-20 10:00 EST (History)
58 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:00:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.86 KB, text/plain)
2015-10-16 07:07 EDT, Ciaran Doherty
no flags Details
File: environ (2.20 KB, text/plain)
2015-10-16 07:08 EDT, Ciaran Doherty
no flags Details

  None (edit)
Description Ciaran Doherty 2015-10-16 07:07:55 EDT
Version-Release number of selected component:
blueman-2.1-0.3.git7a2e20e.fc23

Additional info:
reporter:       libreport-2.6.2
cmdline:        python3 /usr/bin/blueman-applet
executable:     /usr/bin/blueman-applet
kernel:         4.2.2-300.fc23.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
connection.py:651:call_blocking:dbus.exceptions.DBusException: org.freedesktop.DBus.Error.UnknownObject: Method "GetAll" with signature "s" on interface "org.freedesktop.DBus.Properties" doesn't exist


Traceback (most recent call last):
  File "/usr/bin/blueman-applet", line 104, in on_adapter_added
    wait_for_adapter(adapter, on_activate)
  File "/usr/lib/python3.4/site-packages/blueman/Functions.py", line 125, in wait_for_adapter
    props = bluez_adapter.get_properties()
  File "/usr/lib/python3.4/site-packages/blueman/bluez/errors.py", line 148, in warp
    raise parse_dbus_error(exception)
  File "/usr/lib/python3.4/site-packages/blueman/bluez/errors.py", line 146, in warp
    return func(*args, **kwargs)
  File "/usr/lib/python3.4/site-packages/blueman/bluez/PropertiesBase.py", line 47, in get_properties
    return self.__properties_interface.GetAll(self._interface_name)
  File "/usr/lib64/python3.4/site-packages/dbus/proxies.py", line 70, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib64/python3.4/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib64/python3.4/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.UnknownObject: Method "GetAll" with signature "s" on interface "org.freedesktop.DBus.Properties" doesn't exist


Local variables in innermost frame:
object_path: dbus.ObjectPath('/org/bluez/hci0')
method: 'GetAll'
args: ('org.bluez.Adapter1',)
self: <dbus._dbus.SystemBus (system) at 0x7fc34f4ca6d0>
bus_name: 'org.bluez'
byte_arrays: False
kwargs: {}
message: <dbus.lowlevel.MethodCallMessage path: /org/bluez/hci0, iface: org.freedesktop.DBus.Properties, member: GetAll dest: org.bluez>
get_args_opts: {'byte_arrays': False}
timeout: -1.0
signature: None
dbus_interface: 'org.freedesktop.DBus.Properties'
Comment 1 Ciaran Doherty 2015-10-16 07:07:59 EDT
Created attachment 1083582 [details]
File: backtrace
Comment 2 Ciaran Doherty 2015-10-16 07:08:01 EDT
Created attachment 1083583 [details]
File: environ
Comment 3 zimon 2015-11-07 14:34:17 EST
Another user experienced a similar problem:

Just plugged USB bluetooth dongle in.

reporter:       libreport-2.6.3
cmdline:        python3 /usr/bin/blueman-applet
event_log:      2015-11-07-21:31:06> ('report_uReport' completed successfully)
executable:     /usr/bin/blueman-applet
kernel:         4.1.10-100.fc21.x86_64
package:        blueman-2.1-0.3.git7a2e20e.fc23
reason:         connection.py:651:call_blocking:dbus.exceptions.DBusException: org.freedesktop.DBus.Error.UnknownObject: Method "GetAll" with signature "s" on interface "org.freedesktop.DBus.Properties" doesn't exist
runlevel:       N 5
type:           Python3
uid:            500
Comment 4 Paul DeStefano 2016-01-16 01:04:24 EST
Another user experienced a similar problem:

I did absolutely nothing.  This happend the first time I logged in to Cinnamon Desktop env.

reporter:       libreport-2.6.3
cmdline:        python3 /bin/blueman-applet
event_log:      2016-01-15-22:00:11> ('report_uReport' completed successfully)
executable:     /bin/blueman-applet
kernel:         4.2.8-300.fc23.x86_64
package:        blueman-2.1-0.3.git7a2e20e.fc23
reason:         connection.py:651:call_blocking:dbus.exceptions.DBusException: org.freedesktop.DBus.Error.UnknownObject: Method "GetAll" with signature "s" on interface "org.freedesktop.DBus.Properties" doesn't exist
runlevel:       N 5
type:           Python3
uid:            1000
Comment 5 Siggi 2016-03-06 14:25:12 EST
SELinux is preventing systemd-logind from getattr access on the file /dev/shm/lldpad.state.

*****  Plugin restorecon (99.5 confidence) suggests   ************************

If you want to fix the label. 
/dev/shm/lldpad.state default label should be lldpad_tmpfs_t.
Then you can run restorecon.
Do
# /sbin/restorecon -v /dev/shm/lldpad.state

*****  Plugin catchall (1.49 confidence) suggests   **************************

If you believe that systemd-logind should be allowed getattr access on the lldpad.state file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep systemd-logind /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:systemd_logind_t:s0
Target Context                system_u:object_r:tmpfs_t:s0
Target Objects                /dev/shm/lldpad.state [ file ]
Source                        systemd-logind
Source Path                   systemd-logind
Port                          <Unknown>
Host                          hgst500.touro
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-158.7.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     hgst500.touro
Platform                      Linux hgst500.touro 4.4.2-301.fc23.x86_64 #1 SMP
                              Tue Feb 23 19:00:38 UTC 2016 x86_64 x86_64
Alert Count                   2
First Seen                    2016-02-26 18:51:28 CET
Last Seen                     2016-03-03 17:07:50 CET
Local ID                      ef95c681-dac9-415c-8f22-88fdf459be19

Raw Audit Messages
type=AVC msg=audit(1457021270.419:404): avc:  denied  { getattr } for  pid=885 comm="systemd-logind" path="/dev/shm/lldpad.state" dev="tmpfs" ino=8520 scontext=system_u:system_r:systemd_logind_t:s0 tcontext=system_u:object_r:tmpfs_t:s0 tclass=file permissive=0


Hash: systemd-logind,systemd_logind_t,tmpfs_t,file,getattr
Comment 6 marco-arrigus 2016-04-01 04:14:21 EDT
Another user experienced a similar problem:

I just suspended the OS and removed the alimentation cable for a while, there were two open terminals, both doing nothing. Wifi was turned on and the tab of the local network was open too. I wasn't using the pc while the error occurred.

reporter:       libreport-2.6.3
cmdline:        python3 /usr/bin/blueman-applet
executable:     /usr/bin/blueman-applet
kernel:         4.2.3-300.fc23.i686
package:        blueman-2.1-0.3.git7a2e20e.fc23
reason:         connection.py:651:call_blocking:dbus.exceptions.DBusException: org.freedesktop.DBus.Error.UnknownObject: Method "GetAll" with signature "s" on interface "org.freedesktop.DBus.Properties" doesn't exist
runlevel:       N 5
type:           Python3
uid:            1000
Comment 7 Robert Susmilch 2016-04-04 20:12:12 EDT
Similar problem has been detected:

Closed laptop lid causing computer to go to sleep. Upon awakening by opening the lid I occasionally get these exceptions. 

At times I need to use bluetoothctl to power off and on the bluetooth controller as my bluetooth mouse is unresponsive, and the bluetooth widget in Cinnamon states it has had a timeout waiting for a response from the controller.

This particular instance my mouse did work without power cycling.

reporter:       libreport-2.6.4
cmdline:        python3 /usr/bin/blueman-applet
event_log:      2016-04-04-18:54:28> ('report_uReport' completed successfully)
executable:     /usr/bin/blueman-applet
kernel:         4.4.6-300.fc23.x86_64
package:        blueman-2.1-0.3.git7a2e20e.fc23
reason:         connection.py:651:call_blocking:dbus.exceptions.DBusException: org.freedesktop.DBus.Error.UnknownObject: Method "GetAll" with signature "s" on interface "org.freedesktop.DBus.Properties" doesn't exist
runlevel:       N 5
type:           Python3
uid:            1000
Comment 8 bitchecker 2016-05-17 15:36:10 EDT
*** Bug 1336911 has been marked as a duplicate of this bug. ***
Comment 9 Fedora Admin XMLRPC Client 2016-06-21 12:26:59 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 François Patte 2016-10-28 06:41:30 EDT
*** Bug 1389726 has been marked as a duplicate of this bug. ***
Comment 11 Fedora End Of Life 2016-11-24 07:48:06 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2016-12-20 10:00:25 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.